Package Details: wallpaperdownloader 4.2-1

Git Clone URL: https://aur.archlinux.org/wallpaperdownloader.git (read-only, click to copy)
Package Base: wallpaperdownloader
Description: Download, manage and change automatically your favorite wallpapers from the Internet
Upstream URL: https://bitbucket.org/eloy_garcia_pca/wallpaperdownloader
Licenses: GPL3
Submitter: egarcia
Maintainer: egarcia
Last Packager: egarcia
Votes: 8
Popularity: 0.41
First Submitted: 2017-02-21 20:43
Last Updated: 2021-08-01 07:31

Dependencies (4)

Required by (0)

Sources (3)

Latest Comments

egarcia commented on 2021-07-27 07:49

Hi gbr and thank you very much for your contribution to the project and to the packaging!. Of course, I'll take a look at your solution and test it. If everything is working fine, I will incorporate all your suggestions.

Again, thank you very much for helping to improve the AUR package!!! :D

gbr commented on 2021-07-26 15:21

Hi, I modified your PKGBUILD (heavily), mainly removing unused options and conforming with Arch Linux's Java package guidelines: https://wiki.archlinux.org/title/Java_package_guidelines

Here's the link to the PKGBUILD and the other 3 modified files, feel free to take it (or not) :)

https://gist.github.com/felipe19930/ccffeff49b961073632a37107cee30e3

Thanks.

timhs commented on 2020-02-09 19:15

Update: Error was on my side - wrong Java version set as default. Now update runs fine. egarcia helped me to fix this - I did:

archlinux-java status
sudo archlinux-java unset
sudo archlinux-java set java-11-openjdk

Version was set before to java-8-openjdk/jre


Today I get an error by updating it:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.5.1:compile (default-compile) on project wallpaperDownloader: Compilation failure
[ERROR] No compiler is provided in this environment. Perhaps you are running on a JRE rather than a JDK?
[ERROR] 
[ERROR] -> [Help 1]
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.5.1:compile (default-compile) on project wallpaperDownloader: Compilation failure
No compiler is provided in this environment. Perhaps you are running on a JRE rather than a JDK?

But I have jdk11-openjdk, java-environment-common 3-2 installed.

zanguayin commented on 2017-02-27 07:27

One of the best programs for download and manage wallpapers.